#
# spec file for package python-daemonize
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-daemonize
Version:        2.5.0
Release:        5.4
Summary:        Python module to launch code as a daemon process
License:        MIT
URL:            https://github.com/thesharp/daemonize
Source:         https://github.com/thesharp/daemonize/archive/v%{version}.tar.gz
Patch0:         no-python2.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  procps
BuildRequires:  python-rpm-macros
BuildRequires:  user(nobody)
BuildArch:      noarch
%python_subpackages

%description
daemonize is a library for writing system daemons in Python.

%prep
%autosetup -p1 -n daemonize-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests/test.py

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/daemonize.py
%pycache_only %{python_sitelib}/__pycache__/daemonize.*.py*
%{python_sitelib}/daemonize-%{version}.dist-info

%changelog
* Thu Feb 29 2024 Steve Kowalik <steven.kowalik@suse.com>
- Switch to autosetup and pyproject macros.
- No more greedy globs in %%files.
* Sun Jun 11 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu Jun  4 2020 Matej Cepl <mcepl@suse.com>
- Don't use nose, switch to pytest.
* Thu Apr 30 2020 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to fix test running without python2:
  * no-python2.patch
* Thu Mar  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.5.0:
  * no changelog
- Make sure tests are executed
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Jun 13 2017 jengelh@inai.de
- Trim redundant mentions from description.
* Fri Jun  2 2017 sebix+novell.com@sebix.at
- initial package
